import { type ReactNode } from 'react';
export type CSSClassToken = string | false | undefined | null;
export type CSSClassesResolver = (...klasses: (CSSClassToken | CSSClassToken[])[]) => string;
interface CSSClassResolverProps {
    resolver?: CSSClassesResolver;
    children?: ReactNode;
}
export declare const CSSClassesResolverContext: import("react").Context<CSSClassesResolver>;
export declare function sanitizeClassName(...raw: CSSClassToken[]): string;
export declare function defaultCSSClassesResolver(...klasses: (CSSClassToken | CSSClassToken[])[]): string;
export declare function CSSClassResolver({ resolver, children }: CSSClassResolverProps): JSX.Element;
export {};
