import { type ServerResult } from 'dante';
import { type FastifyInstance, type FastifyReply, type FastifyRequest } from 'fastify';
interface TalkHandlerParams {
    Params: {
        talk: string;
        slide: string;
        id: string;
    };
    Querystring: {
        export?: string;
    };
}
export declare function pusherAuthHandler(request: FastifyRequest, reply: FastifyReply): void;
export declare function talkHandler(this: FastifyInstance, request: FastifyRequest<TalkHandlerParams>, reply: FastifyReply): Promise<void>;
export declare function assetsHandler(this: FastifyInstance, request: FastifyRequest<TalkHandlerParams>, reply: FastifyReply): void;
export declare function setupServer(server: FastifyInstance, isProduction: boolean): ServerResult;
export {};
