import { jsx as _jsx } from "react/jsx-runtime";
import { useContext } from 'react';
import { CSSClassesResolverContext } from './classes-resolver.js';
export function Code({ rendered, className }) {
    const resolveClasses = useContext(CSSClassesResolverContext);
    if (!rendered) {
        return null;
    }
    return /*#__PURE__*/ _jsx("div", {
        className: resolveClasses('freya@code', className),
        dangerouslySetInnerHTML: {
            __html: rendered.replaceAll('$', '&#36;')
        }
    });
}
