import { jsx as _jsx } from "react/jsx-runtime";
import { useContext } from 'react';
import { CSSClassesResolverContext } from './classes-resolver.js';
export function Image({ context, src, className }) {
    const resolveClasses = useContext(CSSClassesResolverContext);
    context.extensions.freya.images.add(src);
    return /*#__PURE__*/ _jsx("img", {
        className: resolveClasses('freya@image', className),
        src: src
    });
}
