import type pino from 'pino';
interface Progress {
    current: number;
    total: number;
    padding: number;
}
export declare function exportAsPNGs(logger: pino.Logger, id: string, fullOutput: string, baseUrl: URL, progress: Progress): Promise<void>;
export declare function createPDF(logger: pino.Logger, id: string, staticDir: string, progress: Progress): Promise<void>;
export declare function exportAllAsPNGs(logger: pino.Logger, staticDir: string, port: number): Promise<void>;
export declare function createAllPDFs(logger: pino.Logger, staticDir: string): Promise<void>;
export {};
