import { type CSSValue } from '@unocss/core';
export type UnoRuleDefinition = [
    string | RegExp,
    Record<string, string> | ((v: string[]) => Record<string, string> | CSSValue)
];
export declare const systemFonts = "-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol'";
export declare const systemMonospaceFonts = "ui-monospace, SFMono-Regular, Consolas, 'Liberation Mono', Menlo, monospace";
export declare function numericRule(property: string, value: string, unit?: string, ratio?: number): CSSValue;
export declare function transformCSSValue(value: string): string | undefined;
export declare const config: import("@unocss/core").UserConfig<object>;
export default config;
