import { type BuildContext } from 'dante';
import { type ReactNode } from 'react';
import { type Talk, type Theme } from '../slidesets/models.js';
interface BodyProps {
    context: BuildContext;
    slides: ReactNode[];
}
interface HeaderProps {
    context: BuildContext;
    talk: Talk;
    theme: Theme;
    js: string;
}
export declare function body({ context, slides }: BodyProps): JSX.Element;
export declare function header({ context, talk, theme, js }: HeaderProps): JSX.Element;
export declare function page(title: string): JSX.Element;
export {};
